2000-05-08 11:47  mhall

	* weka/gui/experiment/DatasetListPanel.java (1.11): Added a check
	box that allows users to choose to store paths to datasets relative
	to the user (start) directory.

2000-05-08 11:01  mhall

	* weka/gui/LogPanel.java (1.7): Fixed a local variable name
	confusion.

2000-05-08 10:32  mhall

	* weka/gui/LogPanel.java (1.6): Added a popup menu to display free
	memory and run the garbage collector.

2000-05-02 14:44  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.37): Fixed bug in plot
	additional data storage.

2000-05-02 14:43  mhall

	* weka/gui/visualize/: Plot2D.java (1.7), PlotData2D.java (1.4):
	Opps, changed the point drawing routines back to static as
	LegendPanel uses them.

2000-05-02 11:06  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.36): Fixed bug that was
	storing point sizes for visualization as ints instead of doubles.

2000-05-02 11:05  mhall

	* weka/gui/visualize/Plot2D.java (1.6): Made the default point size
	a double rather than an int.

2000-05-01 13:47  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.35): Missing class
	values in error visualization are now displayed as "M".

2000-05-01 13:43  mhall

	* weka/gui/visualize/: Plot2D.java (1.5), PlotData2D.java (1.3):
	Changed so that missing values for the colouring attribute are
	plotted as an "M" rather than being ignored.

2000-04-28 11:20  mhall

	* weka/gui/explorer/AttributeSelectionPanel.java (1.19): Removed
	save output and visualize buttons. Replaced with pop-up menu.

2000-04-28 11:19  mhall

	* weka/gui/explorer/: ClassifierPanel.java (1.34),
	ClustererPanel.java (1.20): Doc fix for the visualization method.

2000-04-28 11:05  trigg

	* weka/gui/: weka_animated.gif (1.2), weka_icon.gif (1.1),
	weka_icon.png (1.1), weka_stationary.gif (1.2),
	explorer/Explorer.java (1.14): Changed the icons to some new ones
	Richard made. weka_icon.png isn't directly used, but may be useful
	for people that use a window manager that supports alpha blending
	in icons (e.g. Window Maker) to associate with the weka gui.

2000-04-27 16:54  mhall

	* weka/gui/explorer/ClustererPanel.java (1.19): Removed save output
	and visualize buttons. Replaced with pop-up menu.

2000-04-27 16:11  mhall

	* weka/gui/visualize/VisualizePanel.java (1.6): Saving instances
	now uses a file filter (*.arff).

2000-04-27 15:36  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.33): Save buffer now
	saves the location specified buffer rather than the selected buffer
	:-)

2000-04-27 15:34  mhall

	* weka/gui/ResultHistoryPanel.java (1.13): Added method for getting
	a named buffer.

2000-04-27 15:21  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.32): Changed so that
	popup menu is location sensitive. Also has option to save buffer
	and display the buffer in the main window or a separate window.

2000-04-27 15:20  mhall

	* weka/gui/ResultHistoryPanel.java (1.12): Added some methods for
	getting the name of a result list entry given its index in the list
	and retrieving stored objects on the basis of their hash key name.
	Can also specify whether or not the ResultHistoryPanel should
	handle right (and middle) mouse button clicks.

2000-04-27 11:17  mhall

	* weka/attributeSelection/GainRatioAttributeEval.java (1.9): Fixed
	bug in bugfix for missing merge code :-)

2000-04-27 11:14  mhall

	* weka/classifiers/Evaluation.java (1.32): Added a method to
	evaluate a distribution on a single instance.

2000-04-27 11:12  mhall

	* weka/clusterers/ClusterEvaluation.java (1.10): Added a method to
	return the number of clusters for the most recent run.

2000-04-27 11:09  mhall

	* weka/gui/explorer/ClustererPanel.java (1.18): Modified to handle
	the changes in visualize package.

2000-04-27 11:08  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.31): Removed visualize
	button. Can now right click in the history list and a menu of
	visualize options will be displayed for the *selected* entry. Can
	now visualize margin and threshold curves.

2000-04-27 11:06  mhall

	* weka/gui/ResultHistoryPanel.java (1.11): Modified so that result
	buffer is not popped up if there are stored objects at the
	corresponding index.

2000-04-27 11:04  mhall

	* weka/gui/visualize/: AttributePanel.java (1.2), ClassPanel.java
	(1.3), Plot2D.java (1.4), PlotData2D.java (1.2),
	VisualizePanel.java (1.5): Removed predictions stuff.

2000-04-17 15:39  trigg

	* weka/classifiers/evaluation/ThresholdCurve.java (1.4): Added
	Fallout statistic and tidied the documentation.

2000-04-17 15:38  trigg

	* weka/classifiers/evaluation/MarginCurve.java (1.2): Mainly
	documentation tidying.

2000-04-17 15:38  trigg

	* weka/classifiers/evaluation/TwoClassStats.java (1.2): Added
	Fallout statistic (for spazzes who don't like Precision :-))

2000-04-17 15:37  trigg

	* weka/classifiers/evaluation/Makefile (1.3): Added Prediction
	interface and NumericPrediction class

2000-04-17 15:36  trigg

	* weka/classifiers/evaluation/NominalPrediction.java (1.2): Now
	implements the Prediction interface. Some associated changes.

2000-04-17 15:35  trigg

	* weka/classifiers/evaluation/NumericPrediction.java (1.1): First
	version. Creates a numeric equivalent for NominalPrediction

2000-04-17 15:34  trigg

	* weka/classifiers/evaluation/Prediction.java (1.1): Created an
	interface for evaluatable predictions.

2000-04-14 15:04  mhall

	* weka/gui/visualize/VisualizePanel.java (1.4): X and Y combo boxes
	were not informing the attribute bar panel when their selected
	indexes had changed---fixed.

2000-04-14 08:56  eibe

	* weka/experiment/RandomSplitResultProducer.java (1.10):
	Compatibility state didn't include whether data is being
	randomized.

2000-04-14 03:18  eibe

	* weka/classifiers/ThresholdSelector.java (1.6): 1. Made 3 folds
	default (instead of 10).  2. Made hold-out set evaluation default
	(instead of cross-validation).

2000-04-14 03:18  eibe

	* weka/classifiers/SMO.java (1.16): 1. Made C=1000 default for
	complexity constant (instead of 1).  2. Made NO normalization
	default instead of normalization (also changed option).

2000-04-13 17:10  mhall

	* weka/gui/visualize/Makefile (1.2): Added entry for PlotData2D

2000-04-13 17:06  mhall

	* weka/attributeSelection/Makefile (1.13): Added entry for
	AttributeTransformer

2000-04-13 17:04  mhall

	* weka/gui/Makefile (1.13): Added entry for CostMatrixEditor

2000-04-13 17:02  mhall

	* weka/classifiers/Makefile (1.16): Added entry for CostMatrix

2000-04-13 16:57  mhall

	* weka/gui/GUIChooser.java (1.2): Changed call to Experimenter
	constructor.

2000-04-13 11:44  mhall

	* weka/attributeSelection/: CfsSubsetEval.java,
	GainRatioAttributeEval.java, InfoGainAttributeEval.java,
	SymmetricalUncertAttributeEval.java (stable-3-0-patches.[1,1,1,1]):
	Fixed bug in missing merge code.

2000-04-13 11:40  mhall

	* weka/attributeSelection/GainRatioAttributeEval.java (1.8): Doc
	fix.

2000-04-13 11:35  mhall

	* weka/attributeSelection/AttributeSelection.java
	(stable-3-0-patches.1): Fixed bug that caused cross validation mode
	to fail if the class was not the last attribute.

2000-04-13 11:13  eibe

	* weka/: classifiers/SMO.java (1.15), experiment/Experiment.java
	(1.9), gui/experiment/DatasetListPanel.java (1.10),
	gui/experiment/Experimenter.java (1.2): 1. Added command-line
	option to Experimenter for making the first    attribute the class
	for all datasets involved in the experiment.  2. Made it possible
	to open a directory in the DatasetListPanel    and automatically
	get all datasets in that directory appended    to the list of
	datasets.

2000-04-13 06:23  eibe

	* weka/gui/experiment/DatasetListPanel.java (1.9): Added
	possibility to select a directory. All the (arff) files in that
	directory (and all subdirectories) are added to the list of
	datasets.  (Very handy if you have 90 datasets in as many
	subdirectories.)

2000-04-13 03:49  eibe

	* weka/attributeSelection/Makefile (1.12): Added
	ChiSquaredAttributeEval to Makefile.

2000-04-12 17:07  mhall

	* weka/attributeSelection/ConsistencySubsetEval.java (1.3): Now
	ignores instances with missing class.

2000-04-12 17:05  mhall

	* weka/attributeSelection/: GainRatioAttributeEval.java (1.7),
	SymmetricalUncertAttributeEval.java (1.7): Fixed further bug in
	missing merge code.

2000-04-12 17:04  mhall

	* weka/attributeSelection/ForwardSelection.java (1.10): Fixed so
	that state is reset properly on subsequent calls to search.

2000-04-12 17:02  mhall

	* weka/attributeSelection/AttributeSelection.java (1.21): Fixed bug
	in cross-validation mode that prevented it from working unless the
	class was the last column.

2000-04-12 13:46  eibe

	* weka/classifiers/ThresholdSelector.java (1.5): Fixed bug in
	ThresholdSelector.java

2000-04-12 13:46  eibe

	* weka/classifiers/Makefile (1.15): Didn't compile
	ThresholdSelector.java

2000-04-12 13:45  eibe

	* weka/gui/GenericObjectEditor.props (1.18): Added
	ChiSquaredAttributeEvaluator.

2000-04-12 13:45  eibe

	* weka/attributeSelection/ChiSquaredAttributeEval.java (1.1):
	Added.

2000-04-12 11:57  trigg

	* weka/filters/Filter.java (1.10): Just cleaned up the import
	declarations (did it for a demo of JDE, and thought I may as well
	commit it).

2000-04-11 12:28  mhall

	* weka/attributeSelection/CfsSubsetEval.java (1.11): Fixed another
	small bug in the missing merge code.

2000-04-10 16:16  mhall

	* weka/experiment/: AveragingResultProducer.java (1.10),
	ClassifierSplitEvaluator.java (1.9),
	CrossValidationResultProducer.java (1.8),
	DatabaseResultProducer.java (1.10), Experiment.java (1.8),
	RandomSplitResultProducer.java (1.9), RegressionSplitEvaluator.java
	(1.9): All result producers and split evaluators now implement the
	AdditionalMeasureProducer interface. This enables non-iterator
	experiments and ones that iterate over non-
	AdditionalMeasureProducers to pick up any additional measures that
	might be in the ResultProducer chain.

2000-04-10 09:19  mhall

	* weka/experiment/Experiment.java (1.7): Throws an exception if and
	AdditionalMeasureProducer's additional measure names to not conform
	with the naming convention.

2000-04-10 09:14  mhall

	* weka/core/AdditionalMeasureProducer.java (1.2): Doc update.

2000-04-06 11:38  mhall

	* weka/gui/visualize/: ClassPanel.java (1.2), Plot2D.java (1.3),
	VisualizePanel.java (1.3): Removed bug involving setting a
	colouring index when custerer predictions have been provided.
	Removed some debugging output.

2000-04-05 14:08  mhall

	* weka/attributeSelection/CfsSubsetEval.java (1.10): Fixed bug in
	missing merge code for symmetricalUncertainty when an attribute is
	100% missing.

2000-04-05 14:06  mhall

	* weka/attributeSelection/AttributeSelection.java (1.20): Added a
	method to return the number of attributes selected from the most
	recent attribute selection run.

2000-04-05 14:01  mhall

	* weka/experiment/: CrossValidationResultProducer.java (1.7),
	RandomSplitResultProducer.java (1.8): Stripped weka.classifiers,
	weka.attributeSelection and weka.filters from file names sent to
	the ouputZipper. Filenames for meta classifers were getting too
	long.

2000-04-05 14:00  mhall

	* weka/experiment/: ClassifierSplitEvaluator.java (1.8),
	RegressionSplitEvaluator.java (1.8): Fixed bug in
	getRawResultOutput.

2000-04-04 17:28  mhall

	* weka/core/Makefile (1.8): Added AdditionalMeasureProducer.java

2000-04-04 17:27  mhall

	* weka/experiment/: ClassifierSplitEvaluator.java (1.7),
	RegressionSplitEvaluator.java (1.7),
	CostSensitiveClassifierSplitEvaluator.java (1.5), Experiment.java
	(1.6): Now looks for and uses the AdditionalMeasureProducer
	interface for handling additional measures rather than
	introspection.

2000-04-04 17:25  mhall

	* weka/core/AdditionalMeasureProducer.java (1.1): Initial import.

2000-04-04 17:23  mhall

	* weka/classifiers/: j48/J48.java (1.16), j48/PART.java (1.11),
	m5/M5Prime.java (1.9), DecisionTable.java (1.14),
	AttributeSelectedClassifier.java (1.3): Now implements
	AdditionalMeasureProducer.

2000-04-04 12:46  mhall

	* weka/attributeSelection/RaceSearch.java (1.3): Added an option to
	produce a ranked list of attributes through the forward racing
	process.

2000-04-04 11:11  trigg

	* weka/experiment/PairedTTester.java (1.9): Extracted out some
	repeated code: now uses Utils.removeSubstring()

2000-04-04 11:10  trigg

	* weka/core/Utils.java (1.20): Added method for removing ocurrences
	of a string from another string.

2000-04-03 16:50  mhall

	* weka/experiment/PairedTTester.java (1.8): Now strips all
	occurances of weka.classifiers, weka.filters and
	weka.attributeSelection out of result set names. Also appends a key
	of result set names to the end of test output so that we can tell
	the difference between long scheme+option names.

2000-04-03 15:36  mhall

	* weka/gui/experiment/ResultsPanel.java (1.18): Replaced the combo
	box for setting the test base with a popup Jlist. Can now see the
	difference between meta schemes with different options :-)

2000-04-03 12:43  mhall

	* weka/experiment/DatabaseResultListener.java (1.5): Fixed quoting
	for the query made in loadCache.

2000-04-03 12:42  mhall

	* weka/experiment/DatabaseUtils.java (1.10): If the driver is
	InstantDB strings will be stored as TEXT rather than LONGVARBINARY.
	 This is because InstantDB tries to interpret numeric data that is
	stored to LONGVARBINARY (making it impossible to match Run and Fold
	fields) whereas everything is treated as a string when stored to
	TEXT.

2000-03-31 12:02  mhall

	* weka/gui/treevisualizer/TreeVisualizer.java (1.3): Changed so it
	imports correctly for visualize stuff.

2000-03-31 11:58  mhall

	* weka/gui/explorer/: AttributeSelectionPanel.java (1.18),
	ClustererPanel.java (1.17), Explorer.java (1.13): Changed so
	imports weka.gui.visualize.

2000-03-31 11:53  mhall

	* weka/gui/visualize/: VisualizePanel.java (1.2), Plot2D.java
	(1.2): Fixed bug that was not resetting x and y indexes to 0 when
	new master plot was set.

2000-03-31 10:48  mhall

	* weka/classifiers/UserClassifier.java (1.4): Modified to work with
	the new visualize package.

2000-03-31 10:47  mhall

	* weka/gui/explorer/: AttributeSelectionPanel.java (1.17),
	ClassifierPanel.java (1.30), ClustererPanel.java (1.16): Changed to
	work with the new visualize package.

2000-03-31 10:45  mhall

	* weka/: gui/Makefile (1.12), Makefile (1.26): Added visualize
	package.

2000-03-31 10:45  mhall

	* weka/gui/visualize/: AttributePanel.java (1.1),
	AttributePanelEvent.java (1.1), AttributePanelListener.java (1.1),
	ClassPanel.java (1.1), LegendPanel.java (1.1), Plot2D.java (1.1),
	Plot2DCompanion.java (1.1), Makefile (1.1), PlotData2D.java (1.1),
	VisualizePanel.java (1.1), VisualizePanelEvent.java (1.1),
	VisualizePanelListener.java (1.1): Initial import.

2000-03-31 10:43  mhall

	* weka/gui/: VisualizePanel.java (1.2), VisualizePanelEvent.java
	(1.2), VisualizePanelListener.java (1.2): Removed to make way for
	the new visualize package.

2000-03-31 10:29  mhall

	* weka/gui/treevisualizer/TreeVisualizer.java (1.2): Removed the
	menu option for adding instances to the viewer.

2000-03-31 10:27  mhall

	* weka/gui/GenericObjectEditor.props (1.17): Added
	AttributeSelectedClassifier

2000-03-31 10:20  mhall

	* weka/classifiers/AttributeSelectedClassifier.java (1.2): Removed
	some output that shouldn't have been there.

2000-03-31 10:08  mhall

	* weka/classifiers/Makefile (1.14): Added
	AttributeSelectedClassifier

2000-03-31 10:07  mhall

	* weka/classifiers/AttributeSelectedClassifier.java (1.1): Initial
	import.

2000-03-31 10:06  mhall

	* weka/attributeSelection/RankSearch.java (1.4): Now works with
	AttributeTransformers.

2000-03-31 10:06  mhall

	* weka/attributeSelection/PrincipalComponents.java (1.11): Added a
	check to make sure headers are compatable in convertInstance.

2000-03-31 10:04  mhall

	* weka/attributeSelection/AttributeSelection.java (1.19): Added
	some methods to reduce the dimensionality of Instances on the basis
	of the most current run of attribute selection.

2000-03-31 09:54  mhall

	* weka/filters/AttributeFilter.java (1.8): Fixed inputFormat so
	that attributes are copied rather than just a reference to them.

2000-03-25 09:40  eibe

	* weka/gui/GenericObjectEditor.props (1.16): Added props for
	NumericToBinaryFilter.java

2000-03-25 09:39  eibe

	* weka/experiment/RandomSplitResultProducer.java (1.7): Added some
	options for non-random splits with a fixed number of instances.

2000-03-25 09:38  eibe

	* weka/attributeSelection/: AttributeSelection.java (1.18),
	InfoGainAttributeEval.java (1.8), PrincipalComponents.java (1.10),
	Ranker.java (1.14), ReliefFAttributeEval.java (1.10): Got rid of
	sortUnsafe() and fixed memory leak in AttributeSelection.

2000-03-25 09:37  eibe

	* weka/classifiers/: SMO.java (1.14), ThresholdSelector.java (1.4):
	- SMO now does something sensible if the dataset contains only
	instances of one class.  - Fixed bug in ThresholdSelector (occured
	if used with hold-out set).

2000-03-25 09:35  eibe

	* weka/core/: Utils.java (stable-3-0-patches.3), Utils.java (1.19):
	Utils.sort() for doubles is no longer "stable" and no longer uses
	"safe" floating-point comparisons (with an epsilon). This might
	slightly alter the results for some datasets if the learning scheme
	involves sorting (eg. J48, IBk, etc.)

2000-03-25 01:49  trigg

	* weka/classifiers/evaluation/EvaluationUtils.java (1.2): Better
	arrangement and new methods.

2000-03-23 09:50  mhall

	* weka/attributeSelection/ReliefFAttributeEval.java (1.9): Modified
	to handle sparse data.

2000-03-21 11:50  eibe

	* weka/filters/NumericToBinaryFilter.java (1.1): Very simple
	discretizer that's very fast.

2000-03-21 11:47  eibe

	* weka/attributeSelection/: InfoGainAttributeEval.java (1.7),
	PrincipalComponents.java (1.9), ReliefFAttributeEval.java (1.8): -
	Optimized InfoGainAttributeEval for sparse data.  - Replaced
	Utils.sort() with Utils.sortUnsafe()

2000-03-21 11:37  mhall

	* weka/attributeSelection/: AttributeSelection.java (1.17),
	RankedOutputSearch.java (1.4), ForwardSelection.java (1.9),
	Ranker.java (1.13): Modified to allow the number of attributes to
	be retained to be specified. Number to retain (if not specified)
	can be determined from a threshold.

2000-03-17 16:26  trigg

	* weka/Makefile (1.25): Makefile creates doc directories if they do
	not already exist.  Install location is configurable via
	command-line.  Removed a reference to SimpleGUI that's no longer
	relevant.

2000-03-17 13:31  eibe

	* weka/experiment/ClassifierSplitEvaluator.java (1.6): Index from
	command line now starts from 1.

2000-03-17 13:30  eibe

	* weka/classifiers/ThresholdSelector.java (1.3): Index from the
	command line now starts from 1.

2000-03-13 14:55  mhall

	* weka/attributeSelection/AttributeSelection.java (1.16): Fixed a
	bug in the printing of ranked attribute lists that was introduced
	when making the changes to accomodate PrincipalComponents.

2000-03-13 13:24  trigg

	* weka/gui/experiment/: SetupPanel.java (1.11), RunPanel.java
	(1.9): Added a couple of printStackTraces to aid debugging.

2000-03-13 10:31  trigg

	* weka/core/Utils.java (1.18): Changed some unconventional code.

2000-03-12 04:50  eibe

	* weka/classifiers/j48/: MakeDecList.java (stable-3-0-patches.1),
	MakeDecList.java (1.4): MakeDecList wasn't serializable.

2000-03-10 13:42  mhall

	* weka/experiment/InstanceQuery.java (1.7): Made binary types map
	to nominal attributes.

2000-03-10 12:09  mhall

	* weka/attributeSelection/CfsSubsetEval.java (1.9): Delete
	instances with missing class.

2000-03-10 10:33  mhall

	* weka/attributeSelection/RaceSearch.java (1.2): Instances with
	missing class values are now removed from the training data.

2000-03-09 11:23  eibe

	* weka/filters/Filter.java (stable-3-0-patches.2):
	setOutputFormat() in Filter was broken for null arguments.

2000-03-09 11:18  eibe

	* weka/filters/Filter.java (1.9): setOutputFormat() in Filter was
	broken for null arguments.

2000-03-09 11:08  eibe

	* weka/core/Utils.java (1.17): Split backslashQuoteChars() into two
	methods.

2000-03-09 11:07  eibe

	* weka/gui/experiment/ResultsPanel.java (1.17): Changed way in
	which initial key selection is generated.

2000-03-09 11:05  eibe

	* weka/experiment/DatabaseResultProducer.java (1.9):
	backslashquoting in relation name. Long strings in database.

2000-03-09 11:04  eibe

	* weka/experiment/: AveragingResultProducer.java (1.9),
	CrossValidationResultProducer.java (1.6),
	RandomSplitResultProducer.java (1.6), DatabaseUtils.java (1.9):
	Backslashquoting in relation name. Long strings in database.

2000-03-09 05:14  eibe

	* weka/: classifiers/Evaluation.java, clusterers/Cobweb.java,
	filters/Filter.java (stable-3-0-patches.[3,2,1]): 1.
	Evaluation.java: Fixed bug that prevented loading of classifiers
	that require scheme-specific options to be set.  2. Cobweb.java:
	Made inner class CTree serializable so that Cobweb becomes
	serializable.  3. Filter.java: Fixed "memory leak" caused by
	setOutputFormat().

2000-03-09 04:26  eibe

	* weka/classifiers/Evaluation.java (1.31): Scheme-specific options
	don't need to be set for serialized objects that are loaded.

2000-03-09 04:23  eibe

	* weka/clusterers/Cobweb.java (1.7): Made inner class CTree
	serializable.

2000-03-08 15:59  mhall

	* weka/gui/experiment/ResultsPanel.java (1.16): Removed code that
	truncated testBase combo box strings to 20 characters. This was
	making it imposible to differentiate between the same scheme
	(longer than 20 chars) but with different options.

2000-03-08 14:33  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.29): Fixed bug that had
	the tree visualizer displaying the tree for the last fold of a
	k-fold xval instead of for the full training data.

2000-03-08 09:58  eibe

	* weka/gui/experiment/DatasetListPanel.java (1.8): Fixed a few bugs
	related to the "delete" button.

2000-03-08 05:37  eibe

	* weka/filters/Filter.java (1.8): m_OutputFormat kept references to
	all the instances around -> changed setOutputFormat().

2000-03-08 04:57  eibe

	* weka/gui/: GenericObjectEditor.props (1.15),
	experiment/SetupPanel.java (1.10),
	explorer/AttributeSelectionPanel.java (1.16),
	explorer/ClassifierPanel.java (1.28): Added
	weka.classifiers.DistributionClassifier to
	GenericObjectEditor.props and related classes.

2000-03-08 04:55  eibe

	* weka/classifiers/ThresholdSelector.java (1.2): Changed
	setClassifier() getClassifier() into setDistributionClassifier()
	and getDistributionClassifier().

2000-03-07 12:19  eibe

	* weka/classifiers/Evaluation.java (1.30): Added some more IR
	statistics.

2000-03-07 12:19  eibe

	* weka/experiment/RegressionSplitEvaluator.java (1.6): Fixed small
	bug concerning UID for ZeroR.

2000-03-07 12:18  eibe

	* weka/experiment/ClassifierSplitEvaluator.java (1.5): Added IR
	statistics.

2000-03-07 09:20  eibe

	* weka/experiment/DatabaseUtils.java (1.8): 1. Replaced "SELECT
	RUN" by "SELECT KeyRun" 2. Replaced AUTO INCREMENT by workaround 3.
	Added hack for MySQL (doesn't support transactions) 4. Changed
	output of double values like 2.0e7 to 2.0e+7 (for MySQL)

2000-03-04 12:13  eibe

	* weka/experiment/PairedTTester.java (1.7): Modified to allow for
	multiple fields to determine "dataset"/row keys.

2000-03-04 12:12  eibe

	* weka/gui/experiment/ResultsPanel.java (1.15): Modified
	ResultsPanel to allow for multiple fields to determine
	"dataset"/row keys.

2000-03-03 07:02  trigg

	* weka/classifiers/SMO.java (1.13): Fix from Stu for when key
	overflows.

2000-03-03 04:33  eibe

	* weka/core/Utils.java (1.16): Added unstable sort method for
	arrays of doubles that does not use safe floating point
	comparisons.

2000-03-02 20:53  trigg

	* weka/filters/NominalToBinaryFilter.java (1.10): Stu spotted this
	hogging huge amounts of memory. Moved the offending member variable
	into the only method it was really used in so the memory gets freed
	after the method returns.

2000-03-02 16:17  trigg

	* weka/core/FastVector.java (1.5): Changed insertElementAt and
	removeElementAt to use built-in ability of System.arraycopy to
	handle source and dest in the same array. Should give speedups due
	to less {array copying, array bounds checking}.

2000-03-02 16:15  trigg

	* weka/classifiers/MultiClassClassifier.java (1.8): Now handles the
	case where not all class values declared in the header appear in
	the (training) data. E.g: iris dataset with setosas removed.

2000-03-02 06:48  eibe

	* weka/classifiers/SMO.java (1.12): Fixed bug in new version of SMO
	that lead to problems on pathological datasets. Got rid of
	randomization.

2000-03-02 06:46  eibe

	* weka/classifiers/ThresholdSelector.java (1.1): Added.

2000-02-29 16:32  trigg

	* weka/classifiers/evaluation/ThresholdCurve.java (1.3): Took out
	debugging output to make it temporarily usable :-).

2000-02-29 16:20  trigg

	* weka/core/FastVector.java (1.4): Fixed two bugs - one in the new
	appendElements method, and one in setCapacity that would throw
	ArrayIndexOutOfBoundsException when setCapacity was used to
	increase the vector size (jeez, how long has that been there :-)).

2000-02-26 12:13  eibe

	* weka/classifiers/IBk.java (1.14): Made IBk faster for sparse
	data. Added option to turn off normalization.

2000-02-25 17:12  mhall

	* weka/classifiers/UserClassifier.java (1.3): Now has a sensible
	toString method. Also outputs any classifiers that the user has
	opted employ at leaves.

2000-02-25 17:06  mhall

	* weka/gui/experiment/ResultsPanel.java (1.14): Changed to reflect
	the renaming of getInstances to retrieveInstances in InstanceQuery.

2000-02-25 17:05  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.16): Now uses the
	generic object editor to configure InstanceQuery for querying a
	database.

2000-02-25 17:04  mhall

	* weka/gui/GenericObjectEditor.java (1.16): For specific classes
	(not mentioned in the props file) the combo box is now removed from
	the editor.

2000-02-25 17:00  mhall

	* weka/experiment/InstanceQuery.java (1.6): Added option handling.
	Changed getInstances to retrieveInstances.

2000-02-25 15:53  trigg

	* weka/classifiers/evaluation/: EvaluationUtils.java (1.1),
	Makefile (1.2), MarginCurve.java (1.1), NominalPrediction.java
	(1.1), ThresholdCurve.java (1.2), TwoClassStats.java (1.1):
	Rearrangement and added margin distribution calculation.

2000-02-25 15:51  trigg

	* weka/core/FastVector.java (1.3): Added a couple of utility
	methods.

2000-02-25 13:53  mhall

	* weka/filters/AttributeSelectionFilter.java (1.14): Modified to
	reflect changes to AttributeTransformer

2000-02-25 13:52  mhall

	* weka/attributeSelection/PrincipalComponents.java (1.8): Tidied
	up. Now works properly with the AttributeSelectionFilter.

2000-02-25 13:51  mhall

	* weka/attributeSelection/AttributeTransformer.java (1.3): Changed
	to be an interface rather than extending AttributeEvaluator

2000-02-25 12:41  eibe

	* weka/filters/ReplaceMissingValuesFilter.java (1.6): Made it
	faster for sparse data.

2000-02-25 10:20  mhall

	* weka/classifiers/j48/Stats.java (stable-3-0-patches.1): Fixed bug
	that caused decision trees to be pruned incorrectly if pruning
	parameter was changed and the VM not restarted.

2000-02-25 09:51  eibe

	* weka/classifiers/j48/Stats.java (1.3): Changing the pruning
	parameter C for J48 after a decision tree has been built causes
	subsequently generated decision trees to be pruned incorrectly if
	the virtual machine is not restarted (ie. changing the pruning
	parameter in the explorer/experimenter/"your own Java program"
	doesn't work properly once one decision tree has been built). 
	Changing the pruning parameter at the command line works fine.
	
	Fixed.

2000-02-24 17:07  mhall

	* weka/gui/explorer/AttributeSelectionPanel.java (1.15): Changed to
	reflect the renaming of a couple of methods in
	AttributeTransformer.

2000-02-24 17:07  mhall

	* weka/attributeSelection/PrincipalComponents.java (1.7): Added the
	ability to perform dimensionality reduction to PrincipalComponents
	itself rather than having to set a threshold in the Ranker search.
	Also (as a consequence) was able to add the ability to transform
	back to the original space from the PC space (this allows a groovy
	kind of attribute noise filtering when some of the worst PCs are
	eliminated).

2000-02-24 17:04  mhall

	* weka/attributeSelection/: AttributeSelection.java (1.15),
	AttributeTransformer.java (1.2), Ranker.java (1.12): Changed took
	the "get" out of getTransformedHeader and getTransformedData.

2000-02-24 13:41  eibe

	* weka/classifiers/Evaluation.java (1.29): Got rid of test for
	StringAttributes in evaluateModel and evaluateModelOnce.

2000-02-24 13:40  eibe

	* weka/core/Instances.java (1.18): Buffering to speed up input of
	sparse instances.

2000-02-24 10:53  mhall

	* weka/attributeSelection/: BestFirst.java (stable-3-0-patches.1),
	BestFirst.java (1.16): evaluation counter now gets reset properly
	for subsequent calls to search :)

2000-02-24 07:05  eibe

	* weka/: attributeSelection/PrincipalComponents.java (1.6),
	classifiers/CheckClassifier.java (1.10),
	classifiers/Evaluation.java (1.28), classifiers/LWR.java (1.7),
	classifiers/LogitBoost.java (1.16), classifiers/SMO.java (1.11),
	core/Instance.java (1.5), core/Instances.java (1.17), core/Makefile
	(1.7), core/SparseInstance.java (1.1),
	experiment/InstanceQuery.java (1.5), filters/AddFilter.java (1.8),
	filters/AttributeFilter.java (1.7),
	filters/AttributeSelectionFilter.java (1.13),
	filters/AttributeTypeFilter.java (1.2),
	filters/CopyAttributesFilter.java (1.3),
	filters/DiscretizeFilter.java (1.8), filters/FirstOrderFilter.java
	(1.6), filters/Makefile (1.13), filters/NominalToBinaryFilter.java
	(1.9), filters/NonsparseToSparseFilter.java (1.1),
	filters/NormalizationFilter.java (1.4),
	filters/NumericTransformFilter.java (1.5),
	filters/ObfuscateFilter.java (1.2),
	filters/ReplaceMissingValuesFilter.java (1.5),
	filters/ResampleFilter.java (1.4),
	filters/TimeSeriesDeltaFilter.java (1.2),
	filters/TimeSeriesTranslateFilter.java (1.3): Added support for
	sparse data.

2000-02-22 21:55  trigg

	* weka/classifiers/evaluation/Makefile (1.1): First version.

2000-02-22 21:55  trigg

	* weka/: Makefile (1.24), classifiers/Makefile (1.13): Added
	classifiers/evaluation in various places.

2000-02-22 21:54  trigg

	* weka/classifiers/LogitBoost.java (1.15): Default classifier is
	now DecisionStump

2000-02-22 21:50  trigg

	* weka/classifiers/evaluation/ThresholdCurve.java (1.1):
	Preliminary version, under development.

2000-02-22 14:44  mhall

	* weka/attributeSelection/Makefile (1.11): Added RaceSearch,
	ClassifierSubsetEval, HoldOutSubsetEvaluator and
	ErrorBasedMeritEvaluator.

2000-02-22 13:43  mhall

	* weka/attributeSelection/PrincipalComponents.java (1.5): Doc fix.

2000-02-22 12:16  mhall

	* weka/classifiers/UserClassifier.java (1.2): Changed to accomodate
	the move of the treevisualizer and VisualizePanel from explorer to
	gui

2000-02-22 12:02  mhall

	* weka/Makefile (1.23): Changed to reflect the move of
	VisualizePanel and treevisualizer from explorer to gui

2000-02-22 11:59  mhall

	* weka/gui/treevisualizer/Makefile (1.1): Re-added after stuff up

2000-02-22 11:58  mhall

	* weka/gui/treevisualizer/: TreeVisualizer.java (1.1), Colors.java
	(1.1), Edge.java (1.1), NamedColor.java (1.1), Node.java (1.1),
	NodePlace.java (1.1), PlaceNode1.java (1.1), PlaceNode2.java (1.1),
	TreeBuild.java (1.1), TreeDisplayEvent.java (1.1),
	TreeDisplayListener.java (1.1): Re-added after stuff-up

2000-02-22 11:33  mhall

	* weka/gui/explorer/Makefile (1.6): Modified for the move of
	VisualizePanel and treevisualizer

2000-02-22 11:32  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.15): Registered the
	FileEditor.class with the property editor manager.

2000-02-22 11:30  mhall

	* weka/gui/explorer/: AttributeSelectionPanel.java (1.14),
	ClassifierPanel.java (1.27), ClustererPanel.java (1.15),
	Explorer.java (1.12): Adjusted for moving the VisualizePanel to gui

2000-02-22 10:59  mhall

	* weka/gui/Makefile (1.11): Moved treevisualizer and VisualizePanel
	from explorer to gui.

2000-02-22 10:58  mhall

	* weka/gui/: VisualizePanel.java (1.1), VisualizePanelEvent.java
	(1.1), VisualizePanelListener.java (1.1): Moved from explorer to
	gui

2000-02-22 10:54  mhall

	* weka/gui/explorer/: VisualizePanelEvent.java (1.2),
	VisualizePanelListener.java (1.2): Moved to gui

2000-02-22 10:50  mhall

	* weka/gui/explorer/VisualizePanel.java (1.14): Moved to gui

2000-02-22 10:30  mhall

	* weka/gui/explorer/treevisualizer/: Colors.java (1.2), Edge.java
	(1.2), NamedColor.java (1.2), Node.java (1.2), NodePlace.java
	(1.2), PlaceNode1.java (1.2), PlaceNode2.java (1.2), TreeBuild.java
	(1.2), TreeDisplayEvent.java (1.2), TreeDisplayListener.java (1.2),
	TreeVisualizer.java (1.2), Makefile (1.3): Moved to
	gui/treevisualizer

2000-02-22 10:18  mhall

	* weka/gui/GenericObjectEditor.props (1.14): Added
	ClassifierSubsetEval and RaceSearch

2000-02-22 10:12  mhall

	* weka/attributeSelection/: ClassifierSubsetEval.java (1.1),
	ErrorBasedMeritEvaluator.java (1.1), HoldOutSubsetEvaluator.java
	(1.1), RaceSearch.java (1.1): Initial import.

2000-02-22 10:09  mhall

	* weka/attributeSelection/ASEvaluation.java (1.5): Added a
	makeCopies method.

